From 8cbaa4c049e417eca383c1ba5a50ce1e0d84196e Mon Sep 17 00:00:00 2001
From: Takashi Menjo <takashi.menjou.vg@hco.ntt.co.jp>
Date: Thu, 6 Jan 2022 15:11:55 +0900
Subject: [PATCH v7 08/15] Fix invalid declaration of PmemXLogEnsurePrevMapped

This lets build pass when without --with-libpmem option.

This may melt into "Map WAL segment files on PMEM as WAL buffers".
---
 src/include/access/xlogpmem.h | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/src/include/access/xlogpmem.h b/src/include/access/xlogpmem.h
index 3978640b82..cd83bffc88 100644
--- a/src/include/access/xlogpmem.h
+++ b/src/include/access/xlogpmem.h
@@ -29,7 +29,7 @@ extern void PmemXLogSync(void);
 #include <stdlib.h> /* abort */
 
 static inline XLogSegNo
-PmemXLogEnsurePrevMapped(XLogRecPtr ptr, tli)
+PmemXLogEnsurePrevMapped(XLogRecPtr ptr, TimeLineID tli)
 {
 	abort();
 	return 0;
-- 
2.25.1

